Filters

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • type

  • field

  • comparison

  • model_type

  • model_id

  • location

  • is_default

  • keep_matching

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • type

  • field

  • comparison

Authorizations
Query parameters
filter[type]stringOptional

Filter results by type.

filter[field]stringOptional

Filter results by field.

filter[comparison]stringOptional

Filter results by comparison.

filter[model_type]stringOptional

Filter results by model_type.

filter[model_id]stringOptional

Filter results by model_id.

filter[location]stringOptional

Filter results by location.

filter[is_default]stringOptional

Filter results by is_default.

filter[keep_matching]stringOptional

Filter results by keep_matching.

sortstringOptional

Sort field. Prefix with - for descending. Available: type, field, comparison

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/filters

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

type

string

field

string

comparison

string

value

value_type

string

keep_matching

operator_logic

match_order

is_default

location

string

model_type

string

model_id

integer

date_format

string

Authorizations
Body
typestringRequired
comparisonstringRequired
valuestring · max: 1024 · nullableOptional
value_typestring · nullableOptional
keep_matchingstringRequired
operator_logicstring · nullableOptional
match_orderstringOptional
is_defaultstringOptional
locationstring · nullableOptional
model_typestringRequired
model_idintegerRequired
date_formatstring · nullableOptional
fieldstring · min: 1Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/filters

Show

get

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • type

  • field

  • comparison

  • model_type

  • model_id

  • location

  • is_default

  • keep_matching

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • type

  • field

  • comparison

Authorizations
Path parameters
filterstringRequired

The filter identifier.

Query parameters
filter[type]stringOptional

Filter results by type.

filter[field]stringOptional

Filter results by field.

filter[comparison]stringOptional

Filter results by comparison.

filter[model_type]stringOptional

Filter results by model_type.

filter[model_id]stringOptional

Filter results by model_id.

filter[location]stringOptional

Filter results by location.

filter[is_default]stringOptional

Filter results by is_default.

filter[keep_matching]stringOptional

Filter results by keep_matching.

sortstringOptional

Sort field. Prefix with - for descending. Available: type, field, comparison

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/filters/{filter}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

type

string

field

string

comparison

string

value

value_type

string

keep_matching

operator_logic

match_order

is_default

location

string

date_format

string

Authorizations
Path parameters
filterstringRequired

The filter identifier.

Body
typestringOptional
comparisonstringOptional
valuestring · max: 1024Optional
value_typestring · nullableOptional
keep_matchingstringOptional
operator_logicstring · nullableOptional
match_orderstringOptional
is_defaultstringOptional
locationstring · nullableOptional
date_formatstring · nullableOptional
fieldstring · min: 1Optional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/filters/{filter}

Destroy

delete

Delete a filter.

Authorizations
Path parameters
filterstringRequired

The filter identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/filters/{filter}

Last updated

Was this helpful?